Bug 229846 - net-im/py-matrix-synapse: Update to 0.32.2
Summary: net-im/py-matrix-synapse: Update to 0.32.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Bernhard Froehlich
URL:
Keywords: needs-qa, security
Depends on:
Blocks:
 
Reported: 2018-07-17 20:33 UTC by Markus Mann
Modified: 2018-08-09 11:31 UTC (History)
4 users (show)

See Also:
ports: maintainer-feedback+


Attachments
patch 0.31.2 to 0.32.2 (1.74 KB, patch)
2018-07-17 20:33 UTC, Markus Mann
no flags Details | Diff
py-matrix-synapse 0.31.2 to 0.32.2 patch (2.45 KB, patch)
2018-07-18 16:53 UTC, Sascha Biberhofer
ports: maintainer-approval+
Details | Diff
py-matrix-synapse 0.31.2 to 0.33.0 (2.75 KB, patch)
2018-07-27 16:32 UTC, Markus Mann
no flags Details | Diff
py-matrix-synapse 0.31.2 to 0.33.1 (2.75 KB, patch)
2018-08-02 16:11 UTC, Markus Mann
no flags Details | Diff
py-matrix-synapse 0.31.2 to 0.33.1 patch (2.76 KB, patch)
2018-08-02 16:13 UTC, Sascha Biberhofer
no flags Details | Diff
py-matrix-synapse 0.31.2 to 0.33.2 patch (2.76 KB, patch)
2018-08-09 10:42 UTC, Sascha Biberhofer
ports: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Mann 2018-07-17 20:33:25 UTC
Created attachment 195215 [details]
patch 0.31.2 to 0.32.2

I added a patch from py-matrix-synapse-0.31.2 to 0.32.2 "works for me"
Comment 1 Sascha Biberhofer 2018-07-17 21:30:23 UTC
At a first glance the patch indeed corrects some dependencies (thanks!) but does not add the one that actually gave rise to the new release (which should be something like ${PYTHON_PKGNAMEPREFIX}attrs>0:net-mgmt/py-attrs@${FLAVOR} in the rundeps if I'm not mistaken). 

I've added this and will give the resulting package a spin tomorrow. 

Cheers,
Sascha
Comment 2 Markus Mann 2018-07-17 22:36:34 UTC
i ignored attrs as it's a dependency of other dependencies anyways. I'm not sure, what's best practice in such a case.

root@riot:~# pkg info -r py27-attrs
py27-attrs-18.1.0:
        py27-service_identity-17.0.0
        py27-Automat-0.7.0
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2018-07-18 12:05:12 UTC
(In reply to Markus Mann from comment #2)

Python ports should declare/match the dependencies declared by upstream, as closely as possible, without being incorrect. Upstream is the best and canonical source of this information. 

More broadly and specifically, a port should depend on exactly everything the software (code) uses *itself*. Whether or not another dependency of that software depends on it too or not is not a consideration. 

In summary, it either depends on it, or it doesn't. If it uses it, it depends on it.

If spurious dependencies are identified (a declared dependency that is not actually used), then it should be reported and fixed upstream as a first course of action. *optionally* it can be not included, or removed, and/or commented as such in the port until the change is released in subsequent versions. However ...

The support burden for not having dependencies (or anything else for that matter), exactly as declared by/in upstream code is on the person(s) making that decision, and since the spurious dependency downside is minimal in most cases (all else being equal), it is not worth doing (and maintaining that discrepancy) in favour of just correcting the issue upstream.
Comment 4 Sascha Biberhofer 2018-07-18 16:53:54 UTC
Created attachment 195255 [details]
py-matrix-synapse 0.31.2 to 0.32.2 patch

I've revised the patch a bit, added the py-attrs as well as the py-psutil dependency (missing from upstream deps) and moved the py-netaddr dependency to the "officially" listed deps.

I'll probably need to take a look at the other "discovered" dependencies in this package and either confirm their necessity or remove them from the port, but for now this should do.

In any case, the new version seems to work fine[tm].
Comment 5 Markus Mann 2018-07-27 16:30:03 UTC
@Sasche: You did a diff from 0.31.1 which is not the current version in the ports.

Anyways, upstream already moved on to 0.33.0, so i made a new patch from the actually in the ports r.31.2 to 0.33.0 and incorporated your changes for 0.32.2. And it still works for me.

Hopefully we can get this one applied now.
Comment 6 Markus Mann 2018-07-27 16:32:17 UTC
Created attachment 195506 [details]
py-matrix-synapse 0.31.2 to 0.33.0
Comment 7 Martin Wilke freebsd_committer 2018-07-28 01:59:37 UTC
reopen
Comment 8 Markus Mann 2018-08-02 16:07:42 UTC
raised my patch to 0.33.1, a security patch https://github.com/matrix-org/synapse/commit/c2a83349f026c964302c6ad50a402c4cd664367f
Comment 9 Markus Mann 2018-08-02 16:11:36 UTC
Created attachment 195767 [details]
py-matrix-synapse 0.31.2 to 0.33.1
Comment 10 Sascha Biberhofer 2018-08-02 16:13:25 UTC
Created attachment 195768 [details]
py-matrix-synapse 0.31.2 to 0.33.1 patch

Hi Markus,

Sorry for the delay, your patch looks fine, but I think missed two FLAVOR -> PY_FLAVOR changes. I've changed this and bumped to 0.33.1 for the latest security fixes. Should be ok and works for me.
Comment 11 Sascha Biberhofer 2018-08-09 10:42:17 UTC
Created attachment 196024 [details]
py-matrix-synapse 0.31.2 to 0.33.2 patch

Another week, another release. This time a bugfix release [1]. I would usually avoid unnecessary bumps, but we should really get one of these things committed as there are both security fixes and important bugfixes included in the recent updates.

In any case, the new version works fine on my matrix instance. 

Cheers,
Sascha


[1] https://github.com/matrix-org/synapse/releases/tag/v0.33.2
Comment 12 commit-hook freebsd_committer 2018-08-09 11:30:10 UTC
A commit references this bug:

Author: decke
Date: Thu Aug  9 11:29:38 UTC 2018
New revision: 476738
URL: https://svnweb.freebsd.org/changeset/ports/476738

Log:
  net-im/py-matrix-synapse: Update to 0.33.2

  PR:		229846
  Submitted by:	Sascha Biberhofer <ports@skyforge.at> (maintainer)
  Reported by:	Markus Mann <freebsd-public@it64.de>

Changes:
  head/net-im/py-matrix-synapse/Makefile
  head/net-im/py-matrix-synapse/distinfo
Comment 13 Bernhard Froehlich freebsd_committer 2018-08-09 11:31:48 UTC
Committed. Thanks!